/*
                          Visual FX Arexx Script
                           Written By J.L. White
                         (C)1997 Merlin's Software
*/

Options Results
address "IMAGEFX.1"
ScreenToFront
Undo Off
if exists("libs:flyer.library") then do
	TOASTERLIB="ToasterARexx.port"
	call remlib('ToasterARexx.port')
	call remlib('PROJECT_REXX_PORT')
	call addlib('PROJECT_REXX_PORT' , 0)
	call addlib(TOASTERLIB,0)
	end
call Settings()
call open TempFile,"VFXIFX:TempDrawer/"FXNum".txt",R
line = readln(TempFile)
PicName = strip(line)
line = readln(TempFile)
Start = strip(line)
line = readln(TempFile)
End = strip(line)
line = readln(TempFile)
IAType = strip(line)
line = readln(TempFile)
PicAName = strip(line)
line = readln(TempFile)
XOffA = strip(line)
line = readln(TempFile)
YOffA = strip(line)
line = readln(TempFile)
ColorA = strip(line)
line = readln(TempFile)
PicBName = strip(line)
line = readln(TempFile)
XOffB = strip(line)
line = readln(TempFile)
YOffB = strip(line)
line = readln(TempFile)
ColorB = strip(line)
line = readln(TempFile)
Borders = strip(line)
line = readln(TempFile)
Shadows = strip(line)
line = readln(TempFile)
TopType = strip(line)
line = readln(TempFile)
BottomType = strip(line)
line = readln(TempFile)
TopColor = strip(line)
line = readln(TempFile)
BottomColor = strip(line)



call close TempFile

Frames = (End - Start)+1
j=0
k=0
TFrames = Frames
TNum = 3
if TFrames > 999 then TNum = 4
if TFrames > 9999 then TNum = 5
if Field = 1 then TFrames = Frames*2
do i = Start to End
	k = k+ 1
	call open TempFile,"RAM:VFXNums",W
	call writeln TempFile,right(k,5,'0')
	call writeln TempFile,right(Frames,5,'0')
	call close TempFile
	f=0
	Redraw Off
	j = j+ 1
	FieldSet = 0
	call DoIt()
	Redraw On
	call SaveIt()
		if Field = 1 then do
			Redraw Off
			j = j + 1
			FieldSet = 1
			call DoIt()
			Redraw On
			call SaveIt()
			end 
	end
	Undo On
exit



LoadA:
	if (POS('FLY_1',SHOW('Ports')) = 0) then do
		Undo On
		exit
		end
	if IAType = 0 then do
		LoadBuffer PicName Force i
		if Field = 1 then do
			GetMain
			parse var result Name Width Height Blah
			if FieldSet = 0 then do
				Hook DeInterlace
				Scale Width Height
				end
			if FieldSet = 1 then do
				Hook DeInterlace
				Swap
				Scale Width Height
				end
			end
		end
	if IAType = 1 then do
		LoadBuffer PicName Force 1
		end
	if IAType = 2 then do
		LoadBuffer PicName Force
		end
	if IAType = 3 then do
		LoadBuffer PicName""right(i,TNum,'0') Force
		end
return


SaveIt:
	if (POS('FLY_1',SHOW('Ports')) = 0) then do
		Undo On
		exit
		end
	if SaveType = 0 then do
		call Switcher(TOSW)
		call Switcher(MDV1)

		Render Go
		if Field = 1 then
	        	call RecordAdd(SaveName,1,6,Compression)
		else
	        	call RecordAdd(SaveName,2,6,Compression)
		if j = TFrames then
			call MakeIcon(SaveName,(Frames-10))
		end

	if SaveType = 1 then do
		if Field = 1 then do
			f= f + 1
			if f = 1 then
				SaveBufferAs ILBM "VFXIFX:TempDrawer/PicA"
			if f = 2 then do
				GetMain
				parse var result Name Width Height Blah
				Scale Width Height/2
				Swap
				LoadBuffer "VFXIFX:TempDrawer/PicA" Force
				Scale Width Height/2
				Hook Interlace
				SaveBufferAs ILBM SaveName""right(k,TNum,'0')
				f = 0
				end
			end
		else do
			SaveBufferAs ILBM SaveName""right(k,TNum,'0')
			end	
		end

return


DoIt:
	if (POS('FLY_1',SHOW('Ports')) = 0) then do
		Undo On
		exit
		end
	ActiveColor 1

	call LoadA()
	GetMain
	parse var result Name Width Height Blah

	DrawMode Normal
	if TopType = 0 then do
		if j = 1 then do
			LoadBrush PicAName
			SaveBrushAs ILBM "VFXIFX:TempDrawer/BrushA" 
			end
		if j > 1 then do
			LoadBrush "VFXIFX:TempDrawer/BrushA" 
			Roll XOffA YOffA
			SaveBrushAs ILBM "VFXIFX:TempDrawer/BrushA" 
			end
		FillMode Tile 0 0 0 Smooth
		Num = Height /6
		FilledBox 0 0 Width Num
		DrawMode Normal
		end
	if TopType = 1 then do
		DrawMode Colorize
		ActiveColor TopColor
		Num = Height /6
		FilledBox 0 0 Width Num
		ActiveColor 1
		DrawMode Normal
		end
	if Borders = 1 then do
		ActiveColor ColorA
		FillMode Solid 0 0 0 Smooth
		FilledBox 0 Num-12 Width 12
		DrawMode Darken
		FilledBox 0 Num-3 Width 3
		FilledBox 0 Num-3 Width 3
		DrawMode Lighten
		FilledBox 0 Num-12 Width 3
		FilledBox 0 Num-12 Width 3
		end
	if Shadows = 1 then do
		EdgeMode FeatherOut 3
		DrawMode Darken
		FilledBox 0 Num Width 6
		EdgeMode Normal
		end
	DrawMode Normal
	if BottomType = 0 then do
		if j = 1 then do
			LoadBrush PicBName
			SaveBrushAs ILBM "VFXIFX:TempDrawer/BrushB" 
			end
		if j > 1 then do
			LoadBrush "VFXIFX:TempDrawer/BrushB" 
			Roll XOffB YOffB
			SaveBrushAs ILBM "VFXIFX:TempDrawer/BrushB" 
			end
		FillMode Tile 0 0 0 Smooth
		FilledBox 0 Height-Num Width Height
		DrawMode Normal
		end
	if BottomType = 1 then do
		DrawMode Colorize
		ActiveColor BottomColor
		Num = Height /6
		FilledBox 0 Height-Num Width Height
		ActiveColor 1
		DrawMode Normal
		end


	if Borders = 1 then do
		ActiveColor ColorB
		FillMode Solid 0 0 0 Smooth
		FilledBox 0 Height-Num Width 12
		DrawMode Darken
		FilledBox 0 (Height-Num)+9 Width 3
		FilledBox 0 (Height-Num)+9 Width 3
		DrawMode Lighten
		FilledBox 0 Height-Num Width 3
		FilledBox 0 Height-Num Width 3
		end

	if Shadows = 1 then do
		EdgeMode FeatherOut 3
		DrawMode Darken
		FilledBox 0 (Height-Num)-6 Width 6
		EdgeMode Normal
		end
	DrawMode Normal
	FillMode Solid 0 0 0 Smooth
	KillBrush
	ActiveColor 1
return


