/*
                          Visual FX Arexx Script
                           Written By J.L. White
                         (C)1997 Merlin's Software
*/

Options Results
address "IMAGEFX.1"
ScreenToFront
Undo Off
if exists("libs:flyer.library") then do
	TOASTERLIB="ToasterARexx.port"
	call remlib('ToasterARexx.port')
	call remlib('PROJECT_REXX_PORT')
	call addlib('PROJECT_REXX_PORT' , 0)
	call addlib(TOASTERLIB,0)
	end
call Settings()
call open TempFile,"VFXIFX:TempDrawer/"FXNum".txt",R
line = readln(TempFile)
BrushName = strip(line)
line = readln(TempFile)
Color = strip(line)
line = readln(TempFile)
BackType = strip(line)
line = readln(TempFile)
Width = strip(line)
line = readln(TempFile)
Height = strip(line)
line = readln(TempFile)
XOff = strip(line)
line = readln(TempFile)
YOff = strip(line)
line = readln(TempFile)
Frames = strip(line)
call close TempFile

j=0
TFrames = Frames
TNum = 3
if TFrames > 999 then TNum = 4
if TFrames > 9999 then TNum = 5
if Field = 1 then TFrames = Frames*2
do i = 1 to Frames
	call open TempFile,"RAM:VFXNums",W
	call writeln TempFile,right(i,5,'0')
	call writeln TempFile,right(Frames,5,'0')
	call close TempFile
	f=0
	Redraw Off
	j = j+ 1
	call DoIt()
	Redraw On
	call SaveIt()
		if Field = 1 then do
			Redraw Off
			j = j + 1
			call DoIt()
			Redraw On
			call SaveIt()
			end 
	end
	Undo On
exit


SaveIt:
	if (POS('FLY_1',SHOW('Ports')) = 0) then do
		Undo On
		exit
		end
	if SaveType = 0 then do
		call Switcher(TOSW)
		call Switcher(MDV1)

		Render Go
		if Field = 1 then
	        	call RecordAdd(SaveName,1,6,Compression)
		else
	        	call RecordAdd(SaveName,2,6,Compression)
		if j = TFrames then
			call MakeIcon(SaveName,(Frames-10))
		end

	if SaveType = 1 then do
		if Field = 1 then do
			f= f + 1
			if f = 1 then
				SaveBufferAs ILBM "VFXIFX:TempDrawer/PicA"
			if f = 2 then do
				GetMain
				parse var result Name Width Height Blah
				Scale Width Height/2
				Swap
				LoadBuffer "VFXIFX:TempDrawer/PicA" Force
				Scale Width Height/2
				Hook Interlace
				SaveBufferAs ILBM SaveName""right(i,TNum,'0')
				f = 0
				end
			end
		else do
			SaveBufferAs ILBM SaveName""right(i,TNum,'0')
			end	
		end

return




DoIt:
	if (POS('FLY_1',SHOW('Ports')) = 0) then do
		Undo On
		exit
		end
	if j = 1 then do
		KillBrush
		CreateBuffer Width Height 0 0 0 1 1 100 100 FORCE
		LoadBrush BrushName
		SaveBrushAs "ILBM" "VFXIFX:TempDrawer/BrushA" 
		end
	if j > 1 then do
		LoadBrush "VFXIFX:TempDrawer/BrushA" 
		Roll XOff YOff
		SaveBrushAs "ILBM" "VFXIFX:TempDrawer/BrushA" 
		end
	DrawMode Normal
	Blend 100
	FillMode Tile 0 0 0 Smooth
	FilledBox 0 0 Width Height
	FillMode Solid 0 0 0 Smooth
	if BackType = 1 then do
		DrawMode Colorize
		ActiveColor Color
		FilledBox 0 0 Width Height
		end
	ActiveColor 1
	DrawMode Normal
return


