/*
                          Visual FX Arexx Script
                           Written By J.L. White
                         (C)1997 Merlin's Software
*/

Options Results
address "IMAGEFX.1"
ScreenToFront
Undo Off
if exists("libs:flyer.library") then do
	TOASTERLIB="ToasterARexx.port"
	call remlib('ToasterARexx.port')
	call remlib('PROJECT_REXX_PORT')
	call addlib('PROJECT_REXX_PORT' , 0)
	call addlib(TOASTERLIB,0)
	end
call Settings()
call open TempFile,"VFXIFX:TempDrawer/"FXNum".txt",R
line = readln(TempFile)
PicAName = strip(line)
line = readln(TempFile)
Start = strip(line)
line = readln(TempFile)
End = strip(line)
line = readln(TempFile)
IAType = strip(line)
line = readln(TempFile)
CropAnswerA = strip(line)
line = readln(TempFile)
PicBName = strip(line)
line = readln(TempFile)
StartB = strip(line)
line = readln(TempFile)
EndB = strip(line)
line = readln(TempFile)
IBType = strip(line)
line = readln(TempFile)
CropAnswerB = strip(line)
line = readln(TempFile)
PicCName = strip(line)
line = readln(TempFile)
StartC = strip(line)
line = readln(TempFile)
EndC = strip(line)
line = readln(TempFile)
ICType = strip(line)
line = readln(TempFile)
CropAnswerC = strip(line)
line = readln(TempFile)
PicDName = strip(line)
line = readln(TempFile)
StartD = strip(line)
line = readln(TempFile)
EndD = strip(line)
line = readln(TempFile)
IDType = strip(line)
line = readln(TempFile)
CropAnswerD = strip(line)
line = readln(TempFile)
Fifth = strip(line)
line = readln(TempFile)
Shadow = strip(line)
line = readln(TempFile)
PicEName = strip(line)
line = readln(TempFile)
StartE = strip(line)
line = readln(TempFile)
EndE = strip(line)
line = readln(TempFile)
IEType = strip(line)
line = readln(TempFile)
CropAnswerE = strip(line)
line = readln(TempFile)
Bevel = strip(line)
line = readln(TempFile)
BevelNum = strip(line)
call close TempFile

Frames = (End - Start)+1
j=0
k=0
TFrames = Frames
TNum = 3
if TFrames > 999 then TNum = 4
if TFrames > 9999 then TNum = 5
if Field = 1 then TFrames = Frames*2
do i = Start to End
	k = k + 1
	call open TempFile,"RAM:VFXNums",W
	call writeln TempFile,right(k,5,'0')
	call writeln TempFile,right(Frames,5,'0')
	call close TempFile
	f=0
	Redraw Off
	j = j+ 1
	call DoIt()
	Redraw On
	call SaveIt()
		if Field = 1 then do
			Redraw Off
			j = j + 1
			call DoIt()
			Redraw On
			call SaveIt()
			end 
	end
	Undo On
exit


LoadA:
	if (POS('FLY_1',SHOW('Ports')) = 0) then do
		Undo On
		exit
		end
	if IAType = 0 then do
		LoadBuffer PicAName Force i
		end
	if IAType = 1 then do
		LoadBuffer PicAName Force 1
		end
	if IAType = 2 then do
		LoadBuffer PicAName Force
		end
	if IAType = 3 then do
		LoadBuffer PicAName""right(i,TNum,'0') Force
		end
return

LoadB:
	if (POS('FLY_1',SHOW('Ports')) = 0) then do
		Undo On
		exit
		end
	if IBType = 0 then do
		LoadBuffer PicBName Force (k+StartB)-1
		end
	if IBType = 1 then do
		LoadBuffer PicBName Force 1
		end
	if IBType = 2 then do
		LoadBuffer PicBName Force
		end
	if IBType = 3 then do
		LoadBuffer PicBName""right((k+StartB)-1,TNum,'0') Force
		end
return

LoadC:
	if (POS('FLY_1',SHOW('Ports')) = 0) then do
		Undo On
		exit
		end
	if ICType = 0 then do
		LoadBuffer PicCName Force (k+StartC)-1
		end
	if ICType = 1 then do
		LoadBuffer PicCName Force 1
		end
	if ICType = 2 then do
		LoadBuffer PicCName Force
		end
	if ICType = 3 then do
		LoadBuffer PicCName""right((k+StartC)-1,TNum,'0') Force
		end
return

LoadD:
	if (POS('FLY_1',SHOW('Ports')) = 0) then do
		Undo On
		exit
		end
	if IDType = 0 then do
		LoadBuffer PicDName Force (k+StartD)-1
		end
	if IDType = 1 then do
		LoadBuffer PicDName Force 1
		end
	if IDType = 2 then do
		LoadBuffer PicDName Force
		end
	if IDType = 3 then do
		LoadBuffer PicDName""right((k+StartD)-1,TNum,'0') Force
		end
return


LoadE:
	if (POS('FLY_1',SHOW('Ports')) = 0) then do
		Undo On
		exit
		end
	if IEType = 0 then do
		LoadBuffer PicEName Force (k+StartE)-1
		end
	if IEType = 1 then do
		LoadBuffer PicEName Force 1
		end
	if IEType = 2 then do
		LoadBuffer PicEName Force
		end
	if IEType = 3 then do
		LoadBuffer PicEName""right((k+StartE)-1,TNum,'0') Force
		end
return



SaveIt:
	if (POS('FLY_1',SHOW('Ports')) = 0) then do
		Undo On
		exit
		end
	if SaveType = 0 then do
		call Switcher(TOSW)
		call Switcher(MDV1)
		Render Go
		if Field = 1 then
	        	call RecordAdd(SaveName,1,6,Compression)
		else
	        	call RecordAdd(SaveName,2,6,Compression)
		if j = TFrames then
			call MakeIcon(SaveName,(Frames-10))
		end

	if SaveType = 1 then do
		if Field = 1 then do
			f= f + 1
			if f = 1 then
				SaveBufferAs ILBM "VFXIFX:TempDrawer/PicA"
			if f = 2 then do
				GetMain
				parse var result Name Width Height Blah
				Scale Width Height/2
				Swap
				LoadBuffer "VFXIFX:TempDrawer/PicA" Force
				Scale Width Height/2
				Hook Interlace
				SaveBufferAs ILBM SaveName""right(k,TNum,'0')
				f = 0
				end
			end
		else do
			SaveBufferAs ILBM SaveName""right(k,TNum,'0')
			end	
		end
return




DoIt:
	if (POS('FLY_1',SHOW('Ports')) = 0) then do
		Undo On
		exit
		end
	call LoadA()
	GetMain
	parse var result Name Width Height Blah
	if CropAnswerA ~= "None" then do
		CropAnswerA
		Scale Width Height
		end
	Buffer2Swap
	ClearBuffer 0 0 0 Force
	Swap
	Scale Width/2 Height/2
	if Bevel = 1 then call BevelIt()
	GetMain
	parse var result Name Width2 Height2 Blah
	Scissors
	Region Brush
	Box 0 0 Width2 Height2
	BrushHandle 0 0
	Swap
	Point 0 0
	KillBrush
	Swap

	call LoadB()
	if CropAnswerB ~= "None" then do
		CropAnswerB
		Scale Width Height
		end
	Scale Width/2 Height/2
	if Bevel = 1 then call BevelIt()
	Scissors
	Region Brush
	Box 0 0 Width/2 Height/2
	BrushHandle 0 0
	Swap
	Point Width/2 0
	KillBrush
	Swap


	call LoadC()
	if CropAnswerC ~= "None" then do
		CropAnswerC
		Scale Width Height
		end
	Scale Width/2 Height/2
	if Bevel = 1 then call BevelIt()
	Scissors
	Region Brush
	Box 0 0 Width/2 Height/2
	BrushHandle 0 0
	Swap
	Point 0 Height/2
	KillBrush
	Swap

	call LoadD()
	if CropAnswerD ~= "None" then do
		CropAnswerD
		Scale Width Height
		end
	Scale Width/2 Height/2
	if Bevel = 1 then call BevelIt()
	Scissors
	Region Brush
	Box 0 0 Width/2 Height/2
	BrushHandle 0 0
	Swap
	Point Width/2 Height/2
	KillBrush


	if Fifth = 1 then do
		Swap
		call LoadE()
		if CropAnswerE ~= "None" then do
			CropAnswerE
			Scale Width Height
			end
		Scale Width/2 Height/2
		if Bevel = 1 then call BevelIt()
		Scissors
		Region Brush
		Box 0 0 Width/2 Height/2
		BrushHandle 0 0
		Swap
		if Shadow = 1 then do
			DrawMode Darken
			Point (Width/4)+12 (Height/4)+10
			DrawMode Normal
			end
		Point Width/4 Height/4
		KillBrush
	end
return

BevelIt:
	A = 0
	B = 0
	C = Width/2
	D = Height/2
	Depth = BevelNum
	Blend 90
	NewArea
	DrawMode Lighten
	C = C + A
	D = D + B
	AddArea A+1 B
	AddArea C B
	AddArea C-Depth+1 B+Depth-1
	AddArea A+Depth B+Depth-1
	AddArea A+1 B
	FilledPoly

	NewArea
	DrawMode Lighten
	AddArea A B
	AddArea A+Depth-1 B+Depth-1
	AddArea A+Depth-1 D-Depth+1
	AddArea A D
	AddArea A B
	FilledPoly
	FilledPoly

	Blend 70
	NewArea
	DrawMode Darken
	AddArea C-Depth+1 B+Depth 
	AddArea C B+1
	AddArea C D 
	AddArea C-Depth+1 D-Depth+1
	AddArea C-Depth+1 B+Depth
	FilledPoly

	NewArea
	DrawMode Darken
	AddArea C-1 D
	AddArea A+1 D
	AddArea A+Depth D-Depth+1  
	AddArea C-Depth D-Depth+1 
	AddArea C-1 D
	FilledPoly
	FilledPoly

	Blend 100
	DrawMode Normal
return


